*******************************************************************************************************
** This is the 2nd do file is meant to accompany the QJPS article "The Causal Effect of Media-Driven **
** Political Interest on Political Attitudes and Behavior." This gives the results for Table 4 in    **
** the paper. For this analysis we use the aggregate turnout statistics reported by the Swiss gov't  **
** As of Nov. 2010, those data are available at: http://www.admin.ch/ch/d/pore/va/vab_2_2_4_1.html   **
*******************************************************************************************************

/*Get the data - NOTE: CHANGE THIS TO MATCH HOW YOU SAVE THIS FILE ON YOUR COMPUTER*/
use "/Users/dmb95/Documents/Research/Media Driven Pol Int/Final Documents/Butler and De La O Archive/Swiss Referenda Turnout - Aggregate Data 1971-2003.dta", clear

/*Create the Instrumental Variable*/
	gen mpe_g=.
	gen mpe_f=.
	gen mpe_i=.

	replace	mpe_i=election_month-100 if year==1971 | year==1972 & month<=4
	replace	mpe_i=election_month-148 if year==1972 & month>=5 | year>=1973 & year<=1975 | year==1976 & month<=5
	replace	mpe_i=election_month-197 if year==1976 & month>=6 | year>=1977 & year<=1978 | year==1979 & month<=5
	replace	mpe_i=election_month-233 if year==1979 & month>=6 | year>=1980 & year<=1982 | year==1983 & month<=5
	replace	mpe_i=election_month-281 if year==1983 & month>=6 | year>=1984 & year<=1986 | year==1987 & month<=5
	replace	mpe_i=election_month-329 if year==1987 & month>=6 | year>=1988 & year<=1991 | year==1992 & month<=3
	replace	mpe_i=election_month-387 if year==1992 & month>=4 | year==1993 | year==1994 & month<=2
	replace	mpe_i=election_month-410 if year==1994 & month>=3 | year==1995 | year==1996 & month<=3
	replace	mpe_i=election_month-435 if year==1996 & month>=4 | year>=1997 & year<=2000 | year==2001 & month<=4
	replace	mpe_i=election_month-496 if year==2001 & month>=5 | year>=2002 & year<=2003

	replace	mpe_g=election_month-104 if year==1971 | year==1972 & month<=10
	replace	mpe_g=election_month-154 if year==1972 & month>=11 | year>=1973 & year<=1975 | year==1976 & month<=9
	replace	mpe_g=election_month-201 if year==1976 & month>=10 | year>=1977 & year<=1979 | year==1980 & month<=9
	replace	mpe_g=election_month-249 if year==1980 & month>=10 | year>=1981 & year<=1982 | year==1983 & month<=2
	replace	mpe_g=election_month-278 if year==1983 & month>=3 | year>=1984 & year<=1986 
	replace	mpe_g=election_month-324 if year>=1987 & year<=1989 | year==1990 & month<=11
	replace	mpe_g=election_month-371 if year==1990 & month>=12 | year>=1991 & year<=1993 | year==1994 & month<=9
	replace	mpe_g=election_month-417 if year==1994 & month>=10 | year>=1995 & year<=1997 | year==1998 & month<=8
	replace	mpe_g=election_month-464 if year==1998 & month>=9 | year>=1999 & year<=2001 | year==2002 & month<=8
	replace	mpe_g=election_month-512 if year==2002 & month>=9 | year==2003 

	replace	mpe_f=election_month-113 if year>=1971 & year<=1972 | year==1973 & month<=2
	replace	mpe_f=election_month-158 if year==1973 & month>=3 | year==1974 & month<=4
	replace	mpe_f=election_month-172 if year==1974 & month>=5 | year>=1975 & year<=1977 | year==1978 & month<=2
	replace	mpe_f=election_month-218 if year==1978 & month>=3 | year>=1979 & year<=1980 | year==1981 & month<=3
	replace	mpe_f=election_month-255 if year==1981 & month==4 
	replace	mpe_f=election_month-256 if year==1981 & month==5 
	replace	mpe_f=election_month-257 if year==1981 & month>=6 | year>=1982 & year<=1985 | year==1986 & month<=2
	replace	mpe_f=election_month-314 if year==1986 & month>=3 | year==1987 | year==1988 & month<=3
	replace	mpe_f=election_month-339 if year==1988 & month==4 
	replace	mpe_f=election_month-340 if year==1988 & month>=5 | year>=1989 & year<=1992 | year==1993 & month<=2
	replace	mpe_f=election_month-398 if year==1993 & month>=3 | year==1994 | year==1995 & month<=3
	replace	mpe_f=election_month-423 if year==1995 & month==4 
	replace	mpe_f=election_month-424 if year==1995 & month>=5 |  year==1996 | year==1997 & month<=4
	replace	mpe_f=election_month-448 if year==1997 & month==5 
	replace	mpe_f=election_month-449 if year==1997 & month>=6 | year>=1998 & year<=2001 | year==2002 & month<=3
	replace	mpe_f=election_month-507 if year==2002 & month==4 
	replace	mpe_f=election_month-508 if year==2002 & month==5 
	replace	mpe_f=election_month-509 if year==2002 & month>=6 | year==2003 

	gen mpe=mpe_g if language=="G"
		replace mpe=mpe_f if language=="F"
		replace mpe=mpe_i if language=="I"
		replace mpe=1 if mpe==0
		
	gen mpe_log=log(mpe) /*taking the log: under the assumption that the influence of mpe drops fast*/

********************
********************
*     Table 4      *
********************
********************

/*Using all of the Referenda*/
	xi: reg turnout mpe_log number i.canton i.year if international==0	
	xi: reg turnout mpe_log number i.canton i.year if international==1

/*Using only the ballots without any army-related referenda*/
drop if army==1
	xi: reg turnout mpe_log number i.canton i.year if international==0	
	xi: reg turnout mpe_log number i.canton i.year if international==1

